<div class="logs">
    <div class="list" *ngFor="let search of searches;let h = index" (mouseenter)="focus[h] = true"
        (mouseleave)="focus[h] = false">
        <ng-container *ngIf="expand == true || 3 > h">
            <div class="main">
                <ng-container *ngIf="focus[h];else ElseFocus">
                    <p><b>{{ search.lastUseDate }}</b> - {{ search.name }}</p>
                    <div>
                        <div>
                            <p>Criterias</p>
                            <p *ngFor="let crit of search.criterias.getList()">
                                &nbsp;&nbsp;&nbsp;&nbsp;{{ crit.fieldname }} :
                                <ng-container *ngFor="let target of crit.targets">
                                    &nbsp;&nbsp;{{ target.value }}
                                </ng-container>
                            </p>
                        </div>
                        <div>
                            <p>Formats</p>
                            <p *ngFor="let form of search.formats.getList()">
                                &nbsp;&nbsp;&nbsp;&nbsp;{{ form.fieldname }} :
                            </p>
                        </div>
                    </div>
                </ng-container>
                <ng-template #ElseFocus>
                    <p><b>{{ search.lastUseDate }}</b> - {{ search.name }}</p>
                    <p>{{ search.criterias.list.length }} criterias, {{ search.formats.list.length }}
                        formats
                    </p>
                </ng-template>
            </div>
            <div class="access" *ngIf="search.access.corps.length > 0">
                <div *ngFor="let corp of search.access.corps;let i = index" class="corp">
                    <span *ngIf="userTest.access.corps.length == 0 || userTest.access.corps.length > 1">Corp {{ corp
                        }}</span>
                    <ng-container *ngIf="search.access.subs[i].length > 0; else ElseSub">
                        <div *ngFor="let sub of search.access.subs[i];let j = index" class="sub">
                            <ng-container *ngIf="1 > j || focus[h];else ElseFocusSub">
                                Sub : {{ sub }}
                                <ng-container *ngIf="focus[h]">
                                    <ng-container *ngIf="search.access.locs[i][j].length > 0; else ElseLoc">
                                        Locs :
                                        <ng-container *ngFor="let loc of search.access.locs[i][j];let k = index">
                                            {{ loc }}
                                        </ng-container>
                                    </ng-container>
                                    <ng-template #ElseLoc>
                                        toutes locs
                                    </ng-template>
                                </ng-container>
                            </ng-container>
                            <ng-template #ElseFocusSub>
                                ...
                            </ng-template>
                        </div>
                    </ng-container>
                    <ng-template #ElseSub>
                        tous Subs
                    </ng-template>
                </div>
            </div>

            <div class="access" *ngIf="search.access.corps.length > 0">
                <div *ngFor="let scac of search.access.scacs;let i = index" class="scac">
                    <span *ngIf="userTest.access.scacs.length == 0 || userTest.access.scacs.length > 1">Scac {{ scac
                        }}</span>
                    <ng-container *ngIf="search.access.scaclocs[i].length > 0; else ElseSL">
                        <div *ngFor="let scacloc of search.access.scaclocs[i];let j = index" class="scacloc">
                            <ng-container *ngIf="1 > j || focus[h];else ElseFocusSL">
                                scacloc : {{ scacloc }}
                            </ng-container>
                            <ng-template #ElseFocusSL>
                                ...
                            </ng-template>
                        </div>
                    </ng-container>
                    <ng-template #ElseSL>
                        tous Subs
                    </ng-template>
                </div>
                <ng-template #ElseScac>
                    tous Scacs
                </ng-template>
            </div>
        </ng-container>
    </div>
</div>
<div>
    <button (click)="expand = !expand" *ngIf="expand == true;else ElseExpand">Collapse</button>
    <ng-template #ElseExpand>
        <button (click)="expand = !expand">Expand</button>
    </ng-template>
</div>